### File

`packages/ecl/components/ecl-site-header/login/ecl-site-header-login-details.directive.ts`

### Description

This directive is used to add specific class for the horizontal line, that separates description from the 'Logout' link.

### Extends

`ECLBaseDirective`

### Metadata

Selector | `[eclSiteHeaderLoginSeparator]`

### Index

###### Properties
className
###### Methods
getCssClasses
###### Inputs
class e2eAttr tabindex
###### HostBindings
class

### Inputs

class
Type : `string`

e2eAttr
Type : `any`

tabindex
Type : `number`

### HostBindings

class
Type : `string`
Default value : `'ecl-site-header__login-separator'`

### Methods

getCssClasses
`getCssClasses(rootClass: string)`
Parameters :
Name | Type | Optional
rootClass | `string` | No
Returns : `string`

### Properties

className
Type : `string`
Default value : `'ecl-site-header__login-separator'`
Decorators : `@HostBinding('class')`

# results matching ""

# No results matching ""